Mail archive
alpine-aports

[alpine-aports] [PATCH 1/3] main/libmicrohttpd: upgrade to 0.9.48

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Wed, 10 Feb 2016 12:19:50 +0100

---
 main/libmicrohttpd/APKBUILD | 25 +++++++++----------------
 1 file changed, 9 insertions(+), 16 deletions(-)
diff --git a/main/libmicrohttpd/APKBUILD b/main/libmicrohttpd/APKBUILD
index 120afb8..c439ee1 100644
--- a/main/libmicrohttpd/APKBUILD
+++ b/main/libmicrohttpd/APKBUILD
_at_@ -1,26 +1,20 @@
 # Contributor: Łukasz Jendrysik <scadu_at_yandex.com>
-# Contributor: Carlo Landmeter 
+# Contributor: Carlo Landmeter <clandmeter_at_gmail.com>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=libmicrohttpd
-pkgver=0.9.44
+pkgver=0.9.48
 pkgrel=0
 pkgdesc="a small C library that is supposed to make it easy to run an HTTP server as part of another application."
 url="http://www.gnu.org/software/libmicrohttpd/"
 arch="all"
 license="GPL"
-depends=
+depends=""
 makedepends="curl-dev libgcrypt-dev"
-install=
+install=""
 subpackages="$pkgname-dev $pkgname-doc"
 source="ftp://ftp.gnu.org/gnu/libmicrohttpd/$pkgname-$pkgver.tar.gz"
 
 _builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
-	cd "$_builddir"
-	# apply patches here
-}
-
 build() {
 	cd "$_builddir"
 	./configure \
_at_@ -34,17 +28,16 @@ build() {
 		--enable-curl \
 		--enable-messages \
 		|| return 1
-
 	make || return 1
 }
 
 package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install || return 1
-        install -Dm644 "$_builddir"/src/include/platform.h \
-                "$pkgdir"/usr/include/platform.h
+	install -Dm644 "$_builddir"/src/include/platform.h \
+		"$pkgdir"/usr/include/platform.h || return 1
 }
 
-md5sums="9101b5ebf8f71792938ae672da314da2  libmicrohttpd-0.9.44.tar.gz"
-sha256sums="f2739cc05112dc00a5ebe1a470174970ca3a3fd71dcd67fb7539af9d83b8411e  libmicrohttpd-0.9.44.tar.gz"
-sha512sums="4f8e679e70e95411f762615593fcf2271df542ffab2ddd89f2c435215590ffe375c8e8c1e09cc2d21389d335cad2062944d65591b9478ea26e65123ed5dd56d9  libmicrohttpd-0.9.44.tar.gz"
+md5sums="9c298c890088a91fe0d7ac3fec9d0097  libmicrohttpd-0.9.48.tar.gz"
+sha256sums="87667e158f2bf8c691a002e256ffe30885d4121a9ee4143af0320c47cdf8a2a4  libmicrohttpd-0.9.48.tar.gz"
+sha512sums="67155356b01c2294f5b87db68ac275d8c739e06590fc0ae5bcc0c9b4cfc42027b227fd64862ec3197695727c937b5c5d8c815ffbfc770beba918c0e3ca6a37f0  libmicrohttpd-0.9.48.tar.gz"
-- 
2.7.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Feb 10 2016 - 12:19:50 GMT